import re

from setuptools import setup, find_packages

version = ''
with open('aiolite/__version__.py') as f:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]', f.read(), re.MULTILINE).group(1)

long_description = ''
with open('README.md') as f:
    long_description = f.read()

setup(
    name='aiolite',
    version=version,
    url='https://github.com/Vladyslav49/aiolite',
    license='MIT',
    author='Vladyslav49',
    description='Simple asynchronous module to work with sqlite database.',
    long_description_content_type="text/markdown",
    long_description=long_description,
    zip_safe=False
)
